2019-03-26 21:18 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002095NetSurf[All Projects] Generalpublic2015-03-10 11:00
ReporterMd. Al-Amin 
Assigned ToVincent Sanders 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformLinuxOSLinux MintOS Version15
Product Version3.0 
Target Version3.1Fixed in Version3.1 
Summary0002095: 'Segmentation fault' on opening new tab.
DescriptionOpening url in a new tab from google search result gives unexpected abort.
Steps To ReproduceType https://www.google.com on your browser url, hit enter. then search for "twitter". Try to open the firt link on new tab ( using option 'Open link in New tab") . Click on the newly opened tab.
Additional InformationI also run "./nsgtk -v ". here is the log this run.

http://paste.ubuntu.com/7095738/
TagsNo tags attached.
Fixed in CI build #1763
Reported in CI build #
URL of problem pagehttps://www.google.com
Attached Files

-Relationships
+Relationships

-Notes
Michael Drake

~0000275

Michael Drake (administrator)

This happens if you switch tab before the new tab has finished loading.
Achal

~0000276

Achal (reporter)

I found out that if we remove L2440 and L2441 of netsurf/gtk/scaffolding.c then this bug get fixed.

https://github.com/Achal-Aggarwal/netsurf/blob/master/gtk/scaffolding.c#L2440

I don't know what is the purpose of those lines.

Actually when a tab is in loading state and user click on it to focus on it, then method "nsgtk_scaffolding_set_top_level" is called to set the current active top level gui window. The browser window associated with it doesn't have scaffold and in the method "nsgtk_search_set_forward_state" a null pointer is accessed which in result do "Seg fault".
Vincent Sanders

~0000281

Vincent Sanders (administrator)

This might be fixed with git commit a67c49eacfcdfc65aadd457df9c63232eb806624 can you retest and confirm
Achal

~0000282

Achal (reporter)

@test
before patch : successfully reproduced the issue
after patch : no issue.

Patch fix this issue.
Md. Al-Amin

~0000283

Md. Al-Amin (reporter)

Yeah, tested that, no issue there now.
Vincent Sanders

~0000688

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2014-03-15 14:30 Md. Al-Amin New Issue
2014-03-16 17:51 Vincent Sanders Status new => acknowledged
2014-03-16 19:49 Michael Drake Note Added: 0000275
2014-03-16 19:49 Michael Drake Status acknowledged => confirmed
2014-03-16 21:28 Achal Note Added: 0000276
2014-03-17 16:11 Vincent Sanders Target Version => 3.1
2014-03-18 16:06 Vincent Sanders Note Added: 0000281
2014-03-18 16:06 Vincent Sanders Status confirmed => feedback
2014-03-18 16:18 Achal Note Added: 0000282
2014-03-18 17:14 Md. Al-Amin Note Added: 0000283
2014-03-18 17:14 Md. Al-Amin Status feedback => new
2014-03-18 19:23 Vincent Sanders Fixed in CI build # => 1763
2014-03-18 19:23 Vincent Sanders Assigned To => Vincent Sanders
2014-03-18 19:23 Vincent Sanders Status new => resolved
2014-03-18 19:23 Vincent Sanders Resolution open => fixed
2014-03-18 19:23 Vincent Sanders Fixed in Version => 3.1
2015-03-10 11:00 Vincent Sanders Note Added: 0000688
2015-03-10 11:00 Vincent Sanders Status resolved => closed
+Issue History